using System;
using System.Threading;

namespace BondTest
{
	class Class1
	{
		static IESignal.HooksClass esignal;
		static AutoResetEvent myResetEvent = new AutoResetEvent(false);
		[STAThread]
		static void Main(string[] args)
		{
			esignal = new IESignal.HooksClass();
			esignal.OnBarsReceived += new IESignal._IHooksEvents_OnBarsReceivedEventHandler(esignal_OnBarsReceived);
			esignal.SetApplication("API_WS");

			if (esignal.IsEntitled == 0)
			{
				Console.WriteLine("Not entitled. Check if eSignal is logged-in.");
				return;
			}
			esignal.ReleaseAllHistory();
			esignal.ReleaseAllTimeSales();
		
			esignal.get_RequestHistory("TY H6", "D", IESignal.barType.btBARS, 5, -1, -1);
			myResetEvent.WaitOne();
			return;
		}

		static void esignal_OnBarsReceived(int lHandle)
		{			
			int numbars = esignal.get_GetNumBars(lHandle);
			IESignal.BarData bd;

			for( int i = 0 ; i>=-(numbars -1); i--)
			{
				bd = esignal.get_GetBar(lHandle, i);
				Console.WriteLine( i.ToString() + ": " + bd.dtTime.ToShortDateString() + ":  " + bd.dClose.ToString());	
			}
			myResetEvent.Set();
		}
	}
}
